# Set your theme here
theme: hugo-tufte
# Remove this if your site folder is not inside the theme folder
# The language of your website (see https://www.andiamo.co.uk/resources/iso-language-codes/ for reference)
languageCode: sv-SE
# If you write Chinese, Japanese or Korean, this helps with word counting
hasCJKLanguage: false
# The url of your website
baseurl: "https://qwertyist.se"
# The title of your website (shown on all the pages)
title: "Qwertyist"
canonifyurls: true
# Number of posts per page on the home page
pagination:
  pagerSize: 5
pluralizeListTitles: false

# Only modify the following if you know what you are doing
markup:
  goldmark:
    renderer:
      unsafe: true
  highlight:
    noClasses: false
    guessSyntax: true

params:
  # Subtitle of the website
  subtitle: "'Han var ingen tangentbordsman längre, ingen datarymdscowboy. Bara en vanlig fixare som försöker klara sig.' - Neuromancer"
  favicon: "./favicon.ico"
  touchicon: "./touch-icon.png"
  # Dark code highlighting
  codeblocksdark: false
  # Customize the indicator for margin notes
  # Some suggestions: ⊕, 💬, 💭, 📑, 🏷, ✍, 💡, 🧐, 📎, 📌
  marginNoteInd: "⊕"
  # Your name or the name of you company
  # copyright: Copyright 2023
  # copyrightHolder: Copyright Holder
  # Show the "Powered by Hugo-Tufte and Hugo."
  showPoweredBy: false
  # Site wide kill switch for date in pages
  hidedate: false
  # Site wide kill switch for post summary on home page
  showSummary: true
  # Site wide kill switch for LaTeX support
  math: true
  KaTeXVersion: 0.16.4
  KaTeXCDN: "//cdn.jsdelivr.net/npm"
  # #### Control style flavours of the website
  # Use upright & sans-serif font for subtitles
  sansSubtitle: false
  # Make the page centred in screen
  centerArticle: false
  # ######## Common social website links, please comment the unused ones.
  # (if your favorite one is not in the list, please head to the footer menu below and add an entry)
  # Please note that some of the value below are only provided as an exemple, perhaps the computed isn't valid
  # github: slashformotion
  # gitlab: slashformotion
  # linkedin: <insert_here>
  # twitter: slashformotion
  # patreon: ''
  # youtube: user/ChromeDevelopers # check the end of your youtube url https://www.youtube.com/<copy_this>
  # medium: slashformotion
  # reddit: Slashformotion
  # stackoverflow: 16609732/slashformotion
  # instagram: google
  # mastodon: instance.url/@username
  # orcid: 0000-0003-0634-3275
  # google_scholar: jm5QaHkAAAAJ

taxonomies:
  category: ämnen
  series: serier
  tag: taggar

# -----------------------------------------------------------------------
# Navigation menu
# -----------------------------------------------------------------------
menu:
  nav:
    - name: Hem
      weight: -110
      identifier: hem
      url: /
    # - name: Om
    #   weight: -100
    #   identifier: om
    #   url: /om
    - name: Inlägg
      weight: -95
      identifier: inlägg
      url: /inlägg/
    # - name: Skrivert
    #   weight: -90
    #   identifier: skrivert
    #   url: /skrivert/
    # - name: Verktyg
    #   weight: -80
    #   identifier: verktyg
    #   url: /verktyg/
    - name: länkar
      weight: -75
      identifier: länkar
      url: /länkar/
    # - name: Kelly-listan
    #   weight: -70
    #   identifier: kelly
    #   url: /kelly/
    # - name: GIT
    #   weight: 100
    #   identifier: git
    #   url: https://git.qwertyist.se/
      #    - name: Ämnen
      #      weight: -90
      #      identifier: ämnen
      #      url: /ämnen/
      #    - name: Om
      #      weight: -80
      #      identifier: om
      #      url: /om/
# -----------------------------------------------------------------------
# FOOTER MENU
# If you need to add custom links to you footer: put them here.
# -----------------------------------------------------------------------
  #footer:
    #- name: "Tema: Hugo-Tufte"
      #weight: -90
      #identifier: hugo-tufte
      #url: 'https://github.com/loikein/hugo-tufte'
